Subject: bug#48768: Introducing ability to append to docstring

From: [email-masked]
Date: Tue, 1 Jun 2021 18:03:36 +0200

> Sent: Wednesday, June 02, 2021 at 3:36 AM
> From: "Lars Ingebrigtsen" <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: bug#48768: Introducing ability to append to docstring
>
> [email-masked] writes:
>
> > A useful capability would allow one to append to a defun docstring
> > using a defvar.
> >
> > User could write a brief description for the docstring, and later
> > append more details
> > from a defvar.
>
> I do not think that would be a useful interface -- you can append and
> change doc strings all you want by manipulating the
> `function-documentation' property.
>
> So I'm closing this bug report.

If you can tell me how to append, I can use that, but currently, what people
have said do not work.

So appending to a doc-string is not useful.  Appending to a string is the most
useful thing there is !

> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>